Update a customer

View as Markdown
Updates an existing customer. Only provided fields are changed.

Authentication

AuthorizationBearer
API key obtained from the Afternoon dashboard

Path parameters

idstringRequiredformat: "cuid"

Request

This endpoint expects an object.
namestringOptional<=255 characters
Business or display name
first_namestringOptional<=255 characters
Contact first name
last_namestringOptional<=255 characters
Contact last name
emailstringOptionalformat: "email"<=255 characters
Primary email address
phonestringOptional<=50 characters
Phone number
urlstringOptionalformat: "uri"<=2048 characters
Website URL
external_idstringOptional<=255 characters
Your internal identifier for this customer
billing_addressobjectOptional
Billing address
shipping_addressobjectOptional
Shipping address

Response

Customer updated
successboolean
customerobject
request_idstring

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error